Skip to main content
GET
List YouTube video content

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

channel_id
string

Configured YouTube channel id

updated_after
integer<int64>
required

Inclusive update bound, Unix seconds

updated_before
integer<int64>
required

Exclusive update bound, Unix seconds

limit
integer<int32>

Page size, 1-500 (max 50 with include_content)

cursor
string

Opaque update-window continuation

include_content
boolean

Include transcript, speaker matches, description and screenshots

Response

OK

data
object[]
error
object
metadata
any
pagination
any
request_id
string
success
boolean